﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

.navbar-brand {
    padding: 15px;
    margin-left: -15px;
    font-size: 16px;
    line-height: 20px;
    text-decoration: none;
    white-space: nowrap;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.dataTables_length label {
    font-weight: bold !important;
}

.dataTables_filter label {
    font-weight: bold !important;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 20px; /* Vertically center the text there */
    text-align: center;
    display: block;
    padding: 15px;
    font-size: 16px;
    line-height: 20px;
    text-decoration: none;
}

.footer span {
    display: block;
    overflow: auto;
    vertical-align: middle;
    top: auto;
    bottom: auto;
    color: white;
    font-size: 18px;
    padding: 12px;
}

.footer-light {
    color: rgba(0, 0, 0, 0.9);
}

    .footer-light .footer-brand:hover, .footer-light .footer-brand:focus {
        color: rgba(0, 0, 0, 0.9);
    }

    .footer-light .footer-nav .nav-link {
        color: rgba(0, 0, 0, 0.55);
    }

        .footer-light .footer-nav .nav-link:hover, .footer-light .footer-nav .nav-link:focus {
            color: rgba(0, 0, 0, 0.7);
        }

        .footer-light .footer-nav .nav-link.disabled {
            color: rgba(0, 0, 0, 0.3);
        }

        .footer-light .footer-nav .show > .nav-link,
        .footer-light .footer-nav .nav-link.active {
            color: rgba(0, 0, 0, 0.9);
        }

    .footer-light .footer-toggler {
        color: rgba(0, 0, 0, 0.55);
        border-color: rgba(0, 0, 0, 0.1);
    }

    .footer-light .footer-toggler-icon {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    }

    .footer-light .footer-text {
        color: rgba(0, 0, 0, 0.55);
    }

        .footer-light .footer-text a,
        .footer-light .footer-text a:hover,
        .footer-light .footer-text a:focus {
            color: rgba(0, 0, 0, 0.9);
        }

.footer-dark .footer-brand {
    color: #fff;
}

    .footer-dark .footer-brand:hover, .footer-dark .footer-brand:focus {
        color: #fff;
    }

.footer-dark .footer-nav .nav-link {
    color: rgba(255, 255, 255, 0.8);
}

    .footer-dark .footer-nav .nav-link:hover, .footer-dark .footer-nav .nav-link:focus {
        color: #fff;
    }

    .footer-dark .footer-nav .nav-link.disabled {
        color: rgba(255, 255, 255, 0.25);
    }

    .footer-dark .footer-nav .show > .nav-link,
    .footer-dark .footer-nav .nav-link.active {
        color: #fff;
    }

.footer-dark .footer-toggler {
    color: rgba(255, 255, 255, 0.8);
    border-color: rgba(255, 255, 255, 0.1);
}

.footer-dark .footer-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.8%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.footer-dark .footer-text {
    color: rgba(255, 255, 255, 0.8);
}

    .footer-dark .footer-text a,
    .footer-dark .footer-text a:hover,
    .footer-dark .footer-text a:focus {
        color: #fff;
    }


/* centered columns styles */
.row-centered {
    text-align: center;
}

.col-centered {
    display: inline-block;
    float: none;
    /* reset the text-align */
    text-align: left;
    /* inline-block space fix */
    margin-right: -4px;
}

.center-div {
    margin: auto;
    width: 50%;
    border: 2px solid orange;
    padding: 10px;
}

.center-img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.em-modal-header {
    background-color: #acc8eb;
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
    cursor: default;
    padding-top: 0.5rem;
    padding-bottom: 0.25rem;
}

.em-modal-title {
    text-shadow: 3px 3px 6px #797c97;
}

.data-summary-header {
    border-bottom: 2px solid #0094ff;
    color: #0094ff;
    font-weight: bold;
}

.data-summary-footer {
    border-top: 2px solid #0094ff;
    color: #0094ff;
    font-weight: bold;
}

.field-validation-error {
    color: #e80c4d;
    font-weight: bold;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c4d;
}

.validation-summary-errors {
    color: #e80c4d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-valid {
    display: none;
}

.tagrangedeleted {
    background-color: lightpink !important;
}

.tagrangemixed {
    background-color: lightsalmon !important;
}

.tagrangeactive {
    background-color: White !important;
}

.qrcode-text-btn {
    display: inline-block;
    background: url(/css/images/qr.jpg) 50% 50% no-repeat;
    height: 1em;
    width: 1.7em;
    margin-left: -1.7em;
    cursor: pointer
}

#preview {
    width: 100px;
    height: 100px;
    margin: 0px auto;
}